For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
              • GETList Shopper Profiles in Segment
              • POSTAdd Shopper Profiles to Segment
              • DELRemove Shopper Profiles from Segment
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomer SegmentationShopper Profiles for a Segment

Add Shopper Profiles to Segment

POST
https://api.bigcommerce.com/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
POST
/stores/:store_hash/v3/segments/:segmentId/shopper-profiles
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/segments/segmentId/shopper-profiles \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> "a3f1c9e2-4b7d-4f3a-9c2e-8b7d6f9a1234"
>]'
1{
2 "data": [
3 {
4 "id": "a3f1c9e2-4b7d-4f3a-9c2e-8b7d6f9a1234",
5 "customer_id": 4527,
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z"
8 }
9 ]
10}
Add *Shopper Profiles* to a specific *Segment*. **Limits** * Limit of *Shopper Profiles* per request is `50`. * Limit of 10 concurrent requests.
Was this page helpful?
Previous

List Shopper Profiles in Segment

Next

Remove Shopper Profiles from Segment

Built with

Add Shopper Profiles to a specific Segment.

Limits

  • Limit of Shopper Profiles per request is 50.
  • Limit of 10 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

NOTE: GET endpoints require only read-only permission, except for the Get All Shopper Profiles in a Segment endpoint which requires modify permission.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

segmentIdstringRequiredformat: "uuid"

The Segment ID.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of strings.

Response

An array of Shopper Profiles added to a Segment.

datalist of objects

Errors

409
Conflict Error

The MIME type of the response body.